void help() {

  String response = "";

  response = "<!DOCTYPE html>";
  response += "<html lang=\"de\">";
  response += "<head>";
  response +=     "<meta charset=\"UTF-8\">";
  response +=     "<title>ESP8266 H801 RGBWW LED Controler - Hilfe und Status</title>";
  response +=     "<meta content=\"Steuerung\" name=\"Steuerung für\">";
  response += "</head>";
  response += "<body bgcolor=\"#f0f0f0\">";
  response +=     "<h1><font color=\"#808080\">H801 RGBWW LED Controler - Hilfe und Statusseite</h1>";
  response +=     "<h2><font color=\"#808080\">Systeminformationen und Status:</h2>";
  response +=     "<ul><font color=\"#101010\">";
  response +=         "<li>Version = 1.5</li>";
  response +=         "<li>Chip-ID = ";
  response +=         ESP.getChipId();
  response +=         "</li>";
  response +=         "<li>Netzwerkname = ";
  response +=         host_name;
  response +=         "</li>";
  response +=         "<li>IP-Adresse = ";
  response +=         WiFi.localIP().toString();
  response +=         "</li>";
  response +=         "<li>Speichergröße = ";
  response +=         ESP.getFlashChipRealSize();
  response +=         " bytes (1MB/128kB in Arduino Software einstellen)</li>";
  response +=         "<li>Free heap size = ";
  response +=         ESP.getFreeHeap();
  response +=         "</li>";
  response +=         "<li>Reboot Reason = ";
  response +=         ESP.getResetReason();
  response +=         "</li>";
  response +=         "<li>Uptime = ";
  response +=         millis();
  response +=         "</li>";
  response +=         "<br>";
  response +=         "<li>Temperartur = ";
  response +=         temperatur;
  response +=         "</li>";
  response +=         "<li>Luftfeuchtigkeit = ";
  response +=         humidity;
  response +=         "</li>";
  response +=         "<br>";
  response +=         "<li>LED red (Ziel/ aktuell) = ";
  response +=         RED;
  response +=         "/ ";
  response +=         RED_A;
  response +=         "</li>";
  response +=         "<li>LED green (Ziel/ aktuell) = ";
  response +=         GREEN;
  response +=         "/ ";
  response +=         GREEN_A;
  response +=         "</li>";
  response +=         "<li>LED blue (Ziel/ aktuell) = ";
  response +=         BLUE;
  response +=         "/ ";
  response +=         BLUE_A;
  response +=         "</li>";
  response +=         "<li>LED W1 (Ziel/ aktuell) = ";
  response +=         W1;
  response +=         "/ ";
  response +=         W1_A;
  response +=         "</li>";
  response +=         "<li>LED W2 (Ziel/ aktuell) = ";
  response +=         W2;
  response +=         "/ ";
  response +=         W2_A;
  response +=         "</li>";
  response +=       "</ul>";
  response +=     "<hr/>";
  response +=     "<h2><font color=\"#808080\">Funktionsbeschreibung:</h2>";
  response +=       "<h3><font color=\"#101010\">Mit dem Gerät können folgende Status gesetzt werden:</h3>";
  response +=       "<p>Es können 5 LED Kanäle eingestellt werden.</p>";
  response +=       "<p>Schalten der Farbkanäle mit:</p>";
  response +=       "<p>http://";
  response +=       WiFi.localIP().toString();
  response +=       "/set?rgb=[bbbgggrrr]&w1=[www]&w2=[www]</p>";
  response +=       "<p>bbb - Wert von 0-100 für blau</p>";
  response +=       "<p>rrr - Wert von 0-100 für blau</p>";
  response +=       "<p>ggg - Wert von 0-100 für blau</p>";
  response +=       "<p>www - Wert von 0-100 für weis Kanal 1 und Kanal 2</p>";
  response +=       "<p>Die Parameter 'rgb', 'w1' und 'w2' sind optional und können einzenl oder in Kombination verwendet werden</p>";
  response +=       "<p></p>";
  response +=       "<h3><font color=\"#101010\">Mit dem Gerät werden folgende Informationen gesendet:</h3>";
  response +=       "<p>Nach einem Neustart wird an den UDP Port des Zielservers die Reboot Information gesendet.</p>";
  response +=       "<p>Format: Reboot = [hostname]; Reason = [Rebootreason]; ReasonID = [ID]</p>";
  response +=       "<p>  0 = REASON_DEFAULT_RST      = normal startup by power on</p>";
  response +=       "<p>  1 = REASON_WDT_RST          = hardware watch dog reset</p>";
  response +=       "<p>  2 = REASON_EXCEPTION_RST    = exception reset, GPIO status won’t change</p>";
  response +=       "<p>  3 = REASON_SOFT_WDT_RST     = software watch dog reset, GPIO status won’t change</p>";
  response +=       "<p>  4 = REASON_SOFT_RESTART     = software restart ,system_restart , GPIO status won’t change</p>";
  response +=       "<p>  5 = REASON_DEEP_SLEEP_AWAKE = wake up from deep-sleep</p>";
  response +=       "<p>  6 = REASON_EXT_SYS_RST      = external system reset</p>";
  response +=       "<p>Alle ";
  response +=       aliveIntervall /1000;
  response +=       " Sekunden wird ein Alive Signal an: ";
  response +=       aliveIp.toString();
  response +=       " Port: ";
  response +=       alivePort;
  response +=       " gesendet</p>";
  response +=     "<hr/>";
  response +=     "<h2><font color=\"#808080\">HTTP Schnittstelle:</h2>";
  response +=     "<ul><font color=\"#101010\">";
  response +=         "<li>";
  response +=           "<p><b>Reset der WLAN Zugangsdaten:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reset\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reset</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Reboot:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reboot\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/reboot</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Format File System (will delete all additional data):</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/formatfs\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/formatfs</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Read stored additional data:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/readconfig\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/readconfig</a></p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Change additional Data:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/saveconfig?hostname=";
  response +=           host_name;
  response +=           "&senddatato=";
  response +=           send_data_to;
  response +=           "&udpport=";
  response +=           udp_send_port;
  response +=           "&t_slide=";
  response +=           t_slide;
  response +=           "\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/saveconfig?hostname=";
  response +=           host_name;
  response +=           "&senddatato=";
  response +=           send_data_to;
  response +=           "&udpport=";
  response +=           udp_send_port;
  response +=           "&t_slide=";
  response +=           t_slide;
  response +=           "</p></a>";
  response +=           "<p>New parameters will be active after reboot.</p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Change AliveSignal Config:</b> <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/alivesaveconfig?ip=";
  response +=           aliveIp.toString();
  response +=           "&port=";
  response +=           alivePort;
  response +=           "&intervall=";
  response +=           aliveIntervall;
  response +=           "\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/alivesaveconfig?ip=";
  response +=           aliveIp.toString();
  response +=           "&port=";
  response +=           alivePort;
  response +=           "&intervall=";
  response +=           aliveIntervall;
  response +=           "</p></a>";
  response +=           "<p>New parameters will be active after reboot.</p>";
  response +=         "</li>";
  response +=         "<li>";
  response +=           "<p><b>Schalten RGB Wert</b></p>";
  response +=           "<p>rot <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=100000000\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=100000000</a></p>";
  response +=           "<p>grün <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=000100000\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=0001000000</a></p>";
  response +=           "<p>blau <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=000000100\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=0000000100</a></p>";
  response +=           "<p>weis 1 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?w1=100\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?w1=100</a></p>";
  response +=           "<p>weis 2 <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?w2=100\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?w2=100</a></p>";
  response +=           "<p>alles ein <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=100100100&w1=100&w2=100\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=100100100&w1=100&w2=100</a></p>";
  response +=           "<p>alles aus <a href=\"http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=000000000&w1=0&w2=0\"title=\"aufrufen\" target=\"_blank\">http://";
  response +=           WiFi.localIP().toString();
  response +=           "/set?rgb=000000000&w1=0&w2=0</a></p>";
  response +=         "</li>";
  response +=     "</ul>";
  response += "";
  response += "";
  response += "</body>";
  response += "</html>";

  server.send ( 200, "text/html", response);
}
